Сайт | Скачать | Видео | Wiki

Голосование

Нужна ли большая сборка PRA-roll ?

Да. XFCE + LXQT
10 (28.6%)
Да. XFCE
14 (40%)
Да. LXQT
1 (2.9%)
Да. С другим DE (Mate, KDE ... - пишите в комментарии)
3 (8.6%)
Нет. Достаточно OLS
7 (20%)

Проголосовало пользователей: 35

Автор Тема: PRA-roll. x86_64 (64бит). Frugal + Full c автообновлением пакетов  (Прочитано 107458 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 29752
  • Репутация: +199/-0
  • Автор темы
    • PuppyRus-A
045-tint2-graph-gtk3-16.7-3-2008-sf01.pfs добавил в трей
-индикатор типа загрузки системы (full-frugal, чтобы не забыть в каком режиме загрузился)
-индикатор наличия обновлений в репозитории Arch (будет работать только на размороженном репозитории)

Оффлайн RoDoN

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 5992
  • Репутация: +135/-0
    • RoDoN X
prar2008-x86_64-03
Запустил в VBox вроде бы все работает, кроме  mtpaint:
Код
live@pra-roll:~$ mtpaint
/opt/mtpaint/bin/mtpaint: error while loading shared libraries: libopenjpeg.so.1: cannot open shared object file: No such file or directory

В /prar2008/boot остались init-ы и vmlinuz от ядра 5.4

Когда открыл больше 8 прог, то трей на панели изчез ??? (см.скрин)
На панели в быстром запуске только значек терминала, а неплохо бы, чтобы там был еще ФМ и браузер, удобно, когда так из коробки.

Обновлено ядро manjaro до 4.7
Похоже на очепятку, наверно все же до 5.7

Может надо точку поставить, чтоб было 20.08. а то можно подумать, что у нас сборка 2008 года  ;D (см.скрин)
« Последнее редактирование: 11 Сентябрь 2020, 15:26:20 от RoDoN »

Acer Aspire 5250 (AMD E-450, 4 Гб, Radeon HD 6320)
Samsung R20+ (T2390, 3 Гб, Radeon Xpress 1250)
PRA 16.12 JWM, Runtu 18.04 x64 Openbox/MATE/XFCE

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 29752
  • Репутация: +199/-0
  • Автор темы
    • PuppyRus-A
все работает, кроме  mtpaint:
не туда либы положил. Завтра выложу исправленный
В /prar2008/boot остались init-ы и vmlinuz от ядра 5.4
уберу
Похоже на очепятку, наверно все же до 5.7
да - поправил
Может надо точку поставить, чтоб было 20.08. а то можно подумать, что у нас сборка 2008 года
ок
спасибо+ как всегда коротко и по делу

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 29752
  • Репутация: +199/-0
  • Автор темы
    • PuppyRus-A

Оффлайн RoDoN

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 5992
  • Репутация: +135/-0
    • RoDoN X
Re: DE OVS gtk3
« Ответ #229 : 14 Сентябрь 2020, 14:12:59 »
Т.к. в lxpanel-gtk3 выявлены проблемы, а в pcnamfm - неудобства, сделал основной DE в prar2008
040-de-ovs-gtk3-2008-sf04.pfs
Странный подход, однако, чтобы слить LXDE, кстати ни в репах 10-го дебиана, ни в репах убунту 20.04 не нашел пакета lxpanel-gtk3, там есть только lxpanel и отлично работает.

Саша, а ты сам пользуешься SpaceFM? ИМХО, но он на любителя и после тунара и PCManFM им довольно трудно пользоваться, т.к. привычные хоткеи не работают и все только мышей надо тыкать.
« Последнее редактирование: 14 Сентябрь 2020, 14:32:39 от sfs »

Acer Aspire 5250 (AMD E-450, 4 Гб, Radeon HD 6320)
Samsung R20+ (T2390, 3 Гб, Radeon Xpress 1250)
PRA 16.12 JWM, Runtu 18.04 x64 Openbox/MATE/XFCE

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 29752
  • Репутация: +199/-0
  • Автор темы
    • PuppyRus-A
Re: Re: DE OVS gtk3
« Ответ #230 : 14 Сентябрь 2020, 14:32:01 »
в репах убунту 20.04 не нашел пакета lxpanel-gtk3
Я же писал - нигде нет. Брошена
есть только lxpanel и отлично работает.
gtk2 - да. Но prar же не ретро
ты сам пользуешься SpaceFM?
нет. Только mc
Тут только если вываливать ДЕ без ФМ, а фм - разные отдельными модулями : pcmanfm spacefm thunar caja
Делал такие сборные ДЕ с адским меню выбора... Создалось впечатление , что бесполезный труд.
К гтк2 возвращаться не хочу
Из гтк3 все или сырое (xfce) или тяжелое

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 29752
  • Репутация: +199/-0
  • Автор темы
    • PuppyRus-A
Из гтк3 все или сырое (xfce) или тяжелое
lxqt - норм, но полно готовых сборок и без гтк3 все равно будет не обойтись - qt браузеры - на любителя, yad и gtkdialog необходимы для наших GUI
mate - мой облегченный вариант (как в LF01) - не знаю как заходит истинным любителям мате. Полный будет жирноват
Остальные ДЕ вообще жрут ресурсы ПК как браузеры

Оффлайн RoDoN

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 5992
  • Репутация: +135/-0
    • RoDoN X
А вот тест PRAR-2008 на "живом" железе принес некоторое огорчение.
1. Не новый ноут Samsung R20+ со старым броадкомом, поэтому подкинул необходимые файлы в firmware, попытался сделать сохраненку, получил кучу ругани (скрин 1 и 2)  :-[, но что удивительно сохраненка получилась  ??? После перезагрузки сети wi-fi стали доступны, но при попытке подключения получил ошибку (скрин 3) и как победить не понятно.
2. Потом загрузился в вариант для слабых машин и через netctl интернет удалось подключить.
Но хотелось бы все-таки, чтобы корректно работал NM.

Acer Aspire 5250 (AMD E-450, 4 Гб, Radeon HD 6320)
Samsung R20+ (T2390, 3 Гб, Radeon Xpress 1250)
PRA 16.12 JWM, Runtu 18.04 x64 Openbox/MATE/XFCE

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 3251
  • Репутация: +104/-1
В prar с некоторых пор используется расширенный firmware-middle (?porteus) со многими дровами для wifi. Может уже и с броадкомом нет проблемы?
$ ll bcm43xx*               
-rw-r--r-- 1 root root 96224 янв 31  2020 bcm43xx-0.fw
-rw-r--r-- 1 root root   180 янв 31  2020 bcm43xx_hdr-0.fw



А по поводу сохранения в модуль писал уже много раз в разных темах 1, 2. Prar заточен на фулл, для фругала менять initramfs-%k%-fallback.img на initrd.xz или на uird.lfa.cpio.xz (UIRD). Или предупреждать, что в Prar криво работает сохранение в модуль.
« Последнее редактирование: 15 Сентябрь 2020, 00:18:17 от krasnyh »

Оффлайн RoDoN

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 5992
  • Репутация: +135/-0
    • RoDoN X
Может уже и с броадкомом нет проблемы?
У меня старая карточка, которой нужны дрова B43 легаси, а они вроде бы как конфликтуют с современными, поэтому добавляю сам.

для фругала менять initramfs-%k%-fallback.img на initrd.xz
С любым инитом такие ошибки.

Acer Aspire 5250 (AMD E-450, 4 Гб, Radeon HD 6320)
Samsung R20+ (T2390, 3 Гб, Radeon Xpress 1250)
PRA 16.12 JWM, Runtu 18.04 x64 Openbox/MATE/XFCE

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 29752
  • Репутация: +199/-0
  • Автор темы
    • PuppyRus-A
сети wi-fi стали доступны, но при попытке подключения получил ошибку (скрин 3) и как победить не понятно.
Возможно nm-applet надо запускать от рута (т.к. polkit выкинут). Ты ведь через него настрвивалку вызывал?
А с https://mirror.yandex.ru/puppyrus/roll/2008/pfs/networkmanager-light-1.26-2008-sf01.pfs тоже не работает?
хотелось бы все-таки, чтобы корректно работал NM.
Т.е. ты (как , кстати и Бари Кулер - родоначальник пупи) решил, что nm - самый удобный, привычный и функциональный и нет смысла трахаться с самопальными настройщиками сети. Кстати жрет мало
« Последнее редактирование: 21 Сентябрь 2020, 09:18:06 от sfs »

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 29752
  • Репутация: +199/-0
  • Автор темы
    • PuppyRus-A
089-upd-2008-sf15.pfs
поправил update-cache

Оффлайн DdShurick

  • Это Риччи
  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 7869
  • Репутация: +180/-2
  • Старый чайник
 Prar2008:
Код
live@pra-roll:~$ mtpaint 
/opt/mtpaint/bin/mtpaint: error while loading shared libraries: libopenjpeg.so.1: cannot open shared object file: No such file or directory
live@pra-roll:~$ ls /opt/mtpaint
bin  lib  libopenjpeg.so  libopenjpeg.so.1  libopenjpeg.so.1.5.2
И это "генеральный конструктор", рукожопость зашкаливает. И почему libopenjpeg? Чем системная libjpeg.so.8.2.2 не угодила? Партач несчастный :D

Продолжу:
Код
live@pra-roll:~$ ModemManager 
ModemManager: error while loading shared libraries: libpolkit-gobject-1.so.0: cannot open shared object file: No such file or directory
Халтура.
« Последнее редактирование: 20 Сентябрь 2020, 08:16:52 от DdShurick »
Моноблок Lenovo IdeaCentre c200 (Intel Atom D525, Intel GMA 3150) Richy64
Netbook Acer 722 c6ckk (AMD C-50 Ontario, Radeon HD 6250) Simply p8
Nettop Asus Eee Box PC EB1007 (Intel Atom D425, Intel GMA 3150) Richy32

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 3251
  • Репутация: +104/-1
Эти ошибки sfs фиксил (на счет ModemManager не уверен). Просто нет такой культуры - обновлять сразу же и iso в репах. Расчет на то, что пользователь ставит старое iso и через встроенный механизм обновления меняет модули на новые или исправленные.
А в результате в вирт. машине постоянно крутят багованный iso. В таких случаях sfs предлагает пользователю самостоятельно пересобирать образ. )

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 29752
  • Репутация: +199/-0
  • Автор темы
    • PuppyRus-A
mtpaint
/opt/mtpaint/bin/mtpaint: error while loading shared libraries: libopenjpeg.so.1
Уже исправлено. Обновите модуль
ModemManager
ModemManager: error while loading shared libraries: libpolkit-gobject-1.so.0:
Да. Надо добавить пакет polkit-noscript. Спасибо за багрепорт+
Проверьте модуль. У меня нет сейчас модема
в результате в вирт. машине постоянно крутят багованный iso
Это некритические ошибки, которые лечатся автообновлением